package com.gingersoft.gsa.cloud.main.mvp.ui.adapter;

import androidx.annotation.Nullable;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.gingersoft.gsa.cloud.main.R;
import com.gingersoft.gsa.cloud.main.mvp.model.bean.BusinessBean;

import java.util.List;

/**
 * Created by Wyh on 2020/2/24.
 */
public class BusinessInfoAdapter extends BaseQuickAdapter<BusinessBean, BaseViewHolder> {

    public BusinessInfoAdapter(@Nullable List<BusinessBean> data) {
        super(R.layout.report_business_info_item, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, BusinessBean item) {
        helper.setText(R.id.tv_business_info_amount, item.getAmount() + "");
        helper.setText(R.id.tv_business_info_name, item.getProjectName());
    }

}
